Bug 1436863 - Katello backup uses special characters in directory name
Summary: Katello backup uses special characters in directory name
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Backup & Restore
Version: 6.2.8
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: jcallaha
URL:
Whiteboard:
Keywords: PrioBumpField, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-28 21:16 UTC by John Mitsch
Modified: 2019-06-13 21:25 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-21 16:54:37 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 19054 None None None 2017-03-28 21:17 UTC

Description John Mitsch 2017-03-28 21:16:04 UTC
Description of problem:

katello-backup creates a directory named something like "katello-backup-2017-03-28T15:18:13-04:00", these special characters can cause problems for certain file types and programs (i.e yaml, scp) here are some guidelines on what is acceptable in a file or directory: 
http://www.mtu.edu/umc/services/digital/writing/characters-avoid/

Version-Release number of selected component (if applicable):
6.2.8

How reproducible:
always

Steps to Reproduce:
1.katello-backup /path/


Actual results:
directory has special characters

Expected results:
No special characters in directory

Additional info:

Comment 1 John Mitsch 2017-03-28 21:17:56 UTC
Created redmine issue http://projects.theforeman.org/issues/19054 from this bug

Comment 2 pm-sat@redhat.com 2017-03-29 14:02:24 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19054 has been resolved.

Comment 5 Daniel Lobato Garcia 2017-08-09 13:19:22 UTC
Verified.

Tested on:

satellite-6.3.0-16.0.beta.el7sat.noarch
tfm-rubygem-katello-3.4.4-1.el7sat.noarch

The directory created does only contain hyphen, letters and numbers: Creating backup folder /tmp/backup/katello-backup-20170809091815

Comment 12 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.